# Loop between geopandas and pyogrio.
%bcond bootstrap 0

%global srcname pyogrio

Name:           python-%{srcname}
Version:        0.9.0
Release:        %autorelease
Summary:        Vectorized spatial vector file format I/O using GDAL/OGR

License:        MIT
URL:            https://github.com/geopandas/pyogrio
Source:         %pypi_source %{srcname}
Patch:          0001-Drop-extra-dependencies.patch
Patch:          0002-TST-Add-missing-network-marker.patch

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  gdal-devel >= 2.4.0

%global _description %{expand:
Pyogrio provides a GeoPandas-oriented API to OGR vector data sources, such as
ESRI Shapefile, GeoPackage, and GeoJSON. Vector data sources have geometries,
such as points, lines, or polygons, and associated records with potentially
many columns worth of data.}

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x dev,test%{?!without_bootstrap:,geopandas}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{srcname}

%check
mkdir empty
cd empty
%pytest --pyargs %{srcname} -m "not network"

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
%autochangelog
